import { RaceResultsDetailDto } from '../dtos';
import { RaceResultsDetailViewModel } from '../view-models';

export class RaceResultsDetailPresenter {
  present(dto: RaceResultsDetailDto, currentUserId?: string): RaceResultsDetailViewModel {
    return new RaceResultsDetailViewModel(dto, currentUserId);
  }
}

export const presentRaceResultsDetail = (dto: RaceResultsDetailDto, currentUserId?: string): RaceResultsDetailViewModel => {
  const presenter = new RaceResultsDetailPresenter();
  return presenter.present(dto, currentUserId);
};